Subject: Re: bug#60568: [FR] 30.0.50; Help buffers and function bodies for generated functions

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Jan 2023 17:14:02 +0200

> From: Ihor Radchenko <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, Stefan Monnier <[email-masked]>,
>  [email-masked], [email-masked]
> Date: Sat, 07 Jan 2023 15:07:33 +0000
> 
> Gregory Heytings <[email-masked]> writes:
> 
> >>
> >> But is it of interest for _users_? I'd rather see it in Elisp manual.
> >>
> >
> > It should be documented in the Elisp manual, indeed.  What I said was a 
> > bit unclear: I meant that a reminder should be displayed in the *Help* 
> > buffer.  With this, Elisp programmers who are not aware of that subtlety 
> > would become aware of it.
> 
> Then, may "13.4 Defining Functions" be a good place to link to this
> subtlety?
> 
> The documentation for `defalias' is not really very clear, even now,
> when I am aware about the issue herein:
> 
>      The proper place to use ‘defalias’ is where a specific function or
>      macro name is being defined—especially where that name appears
>      explicitly in the source file being loaded.  This is because
>      ‘defalias’ records which file defined the function, just like
>      ‘defun’ (*note Unloading::).
> 
>      By contrast, in programs that manipulate function definitions for
>      other purposes, it is better to use ‘fset’, which does not keep
>      such records.  *Note Function Cells::.

FWIW, I don't see anything unclear here.  Moreover, what does defalias
have to do with the issue of links to code of generated functions?